package com.fs.erp.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 退货商品DTO
 *
 * @author xdd
 * @version 1.0
 * @since 2025-02-27
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RefundItemDTO implements Serializable {

    private static final long serialVersionUID = -1L;

    /**
     * 商品金额
     */
    private BigDecimal amount;

    /**
     * 商品属性
     */
    private String propertiesValue;

    /**
     * 商品数量
     */
    private Integer qty;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品SKU ID
     */
    private String skuId;

    /**
     * 商品图片
     */
    private String pic;

    /**
     * 退货类型
     */
    private String type;

    /**
     * 外部订单项ID
     */
    private String outerOiId;
}
